#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    ios_base::sync_with_stdio(false);
    int n,k;
    scanf("%d%d",&n,&k);
    int t[n];
    for(int i=0;i<n;i++)
        scanf("%d",&t[i]);

    int uk=0;
    unordered_map<int, int> mapa;
    for (int i = 0; i < n; i++){
            mapa[t[i]]++;
    }

    for (auto x : mapa){
        if(x.second>=k)
            uk++;
    }
    printf("%d\n",uk);
    for (auto x : mapa){
        if(x.second>=k)
            printf("%d ",x.first);
    }
    return 0;
}